# Selenideでブラウザ自動テストのサンプルコード

「Selenideでブラウザ自動テスト ── 使い方から現場で遭遇する問題まで」のサンプルコードです。

## Eclipseへのインポート

次のコマンドを実行してからインポートしてください。

```
./gradlew eclipse
```

Windowsの場合は次のコマンドになります。

```
gradlew.bat eclipse
```

## サンプルコードのファイル構成

```
LICENSE                 このサンプルコードのライセンスです
README.md               このファイルです
build.gradle            Gradleのビルドスクリプトです
gradle                  Gradleが使用するファイルが格納されています
gradlew                 Gradleの起動スクリプトです
gradlew.bat             Gradleの起動スクリプトです(Windows用)
libs                    ChromeのWebDriverを格納するディレクトリです
settings.gradle         Gradleが使用するプロジェクトの設定ファイルです
src
└── main
    └── java
        └── sample
            ├── page    PageObjectが格納されています
            ├── rule    JUnitを拡張するためのTestRule実装クラスが格納されています
            └── test    テストが格納されています
```

## WebDriverの準備

サンプルコードを動かすためにはlibsディレクトリにChromeのWebDriverを格納する必要があります。

下記のウェブサイトからWebDriverをダウンロードしてlibsディレクトリに格納してください。

* https://sites.google.com/a/chromium.org/chromedriver/downloads

## ライセンス

このサンプルコード一式は[The MIT License](https://opensource.org/licenses/MIT)のもとに提供します。

## 作者

のざき、うらがみ
