package sample.page;

import static com.codeborne.selenide.Selenide.*;
import org.openqa.selenium.support.FindBy;
import com.codeborne.selenide.Condition;
import com.codeborne.selenide.SelenideElement;

public class LoginPage {

    @FindBy(css = "font[color=red]")
    private SelenideElement errorMessage;
    @FindBy(name = "username")
    private SelenideElement username;
    @FindBy(name = "password")
    private SelenideElement password;
    @FindBy(name = "submit")
    private SelenideElement submit;

    public LoginPage errorMessageShouldBe(Condition... condition) {
        errorMessage.shouldBe(condition);
        return this;
    }

    public LoginPage usernameShouldBe(Condition... condition) {
        username.shouldBe(condition);
        return this;
    }

    public LoginPage passwordShouldBe(Condition... condition) {
        password.shouldBe(condition);
        return this;
    }

    public LoginPage setUsername(String value) {
        username.val(value);
        return this;
    }

    public LoginPage setPassword(String value) {
        password.val(value);
        return this;
    }

    public HelloPage login() {
        submit.click();
        return page(HelloPage.class);
    }

    public LoginPage loginFailure() {
        submit.click();
        return this;
    }

    public static LoginPage openPage() {
        return open("/", LoginPage.class);
    }
}
