package sample.rule;

import org.junit.rules.TestRule;
import org.junit.runner.Description;
import org.junit.runners.model.Statement;

public class Retry implements TestRule {

    @Override
    public Statement apply(Statement base, Description description) {
        return new Statement() {
            @Override
            public void evaluate() throws Throwable {
                int count = 0;
                while (true) {
                    try {
                        base.evaluate();
                        return;
                    } catch (Throwable t) {
                        if (count++ < 3) { //3回リトライする
                            continue;
                        }
                        throw t;
                    }
                }
            }
        };
    }
}
