package sample.test;

import static org.hamcrest.CoreMatchers.*;
import static org.junit.Assert.*;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.openqa.selenium.By;
import org.openqa.selenium.chrome.ChromeDriver;
import org.springframework.boot.context.embedded.LocalServerPort;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * WebDriverをそのまま使ったテストです。
 *
 */
@RunWith(SpringRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class WebDriverTest {

    @LocalServerPort
    int port;

    @Test
    public void test() throws Exception {
        System.setProperty("webdriver.chrome.driver", "libs/chromedriver");

        ChromeDriver driver = new ChromeDriver();
        try (AutoCloseable ac = driver::quit) {
            driver.navigate().to("http://localhost:" + port + "/login");

            driver.findElement(By.name("username")).sendKeys("uragami");
            driver.findElement(By.name("password")).sendKeys("secret");
            driver.findElement(By.name("submit")).click();

            assertThat(driver.findElement(By.tagName("h1")).getText(), is("Hello, uragami!"));
        }
    }
}
